'<script_group[Japanese]>t_tvZ(Z)</script_group[Japanese]>
'<script_group[English]>Get previous days</script_group[English]>

Option Explicit

Function GetPreviousDay(sDate, nDay, delimiter)
'<info:GetPreviousDay[Japanese]>w肵ɂO̓t,t,O,؂蕶</info:GetPreviousDay[Japanese]>
'<info:GetPreviousDay[English]>Get previous days,date,previous day, delimiter</info:GetPreviousDay[English]>
'<howto:GetPreviousDay[Japanese]>
'w肵ɂO̓t擾܂
'
') 2021/11/205O̓t擾ꍇ
't	: "2021/11/20"
'O	: 5
'؂蕶 : /
' 
'߂l : 2021/11/15
'</howto:GetPreviousDay[Japanese]>
'<howto:GetPreviousDay[English]>
'Get previous date
'
'Ex) When the date is 2021/11/20 and get the date 5 days ago
'date	: "2021/11/20"
'previous day : 5
'delimiter : /
'
'Return value : 2021/11/15
'</howto:GetPreviousDay[English]>

	Dim dPrev
	Dim sYear,sMnth,sDay
	if IsDate(sDate) Then
		dPrev = DateAdd("d",-nDay,sDate)
		sYear = mid(dPrev,1,4)
		sMnth = mid(dPrev,6,2)
		sDay = mid(dPrev,9,2)
		GetPreviousDay = sYear & delimiter & sMnth & delimiter & sDay
	Else
		GetPreviousDay = ""
		MsgBox "<lang_txt[Japanese]>͂ꂽ͓̂tł͂܂</lang_txt[Japanese]><lang_txt[English]>It was not a date entered</lang_txt[English]>"
	End If
End Function